// This is a JavaScript module that is loaded on demand. It can export any number of
// functions, and may import other JavaScript modules if required.


export function init(element) {

    const observer = new ResizeObserver(entries => {

        //entries.forEach(entry => { });
        scrollToNotReadOrToEnd(element);
    });
    
    observer.observe(element);

    // Allow to cleanup resources when the Razor component is removed from the page
    return {
        dispose: () => dispose(observer)
    };
}

export function dispose(observer) {
    observer.disconnect();
}

export function scrollToEnd(element) {
    if (element) {
        element.scrollTo({ top: element.scrollHeight, left: 0, behavior: "instant" });
    }
}

export function scrollToNotReadOrToEnd(element) {
    if (element) {
        const notReadElements = document.getElementsByClassName('first-msg-not-read');
        if (notReadElements && notReadElements.length > 0) {

            const notReadElement = notReadElements[0];

            let pos = notReadElement.offsetTop - element.offsetTop - 14;
            if (pos < 0) pos = 0;

            element.scrollTo({ top: pos, left: 0, behavior: "instant" });
        }
        else {
            element.scrollTo({ top: element.scrollHeight, left: 0, behavior: "instant" });
        }
    }
}