
export async function initialize(componentInstance, visibleAtY) {

    let visible = window.scrollY >= visibleAtY;

    let delegate = async () => {
        let v = window.scrollY >= visibleAtY;
        if (v != visible) {
            visible = v;
            await componentInstance.invokeMethodAsync("OnVisibilityChanged", v);
        }
    }

    setTimeout(delegate, 200);

    document.addEventListener('scroll', delegate);

    return {
        dispose: () => {
            document.removeEventListener('scroll', delegate);
        }
    };
}

export function scrollToTop(behavior) {
    window.scrollTo({ top: 0, left: 0, behavior: behavior });
}